package org.eclipse.jdt.internal.compiler;

import org.eclipse.jdt.internal.compiler.ast.CompilationUnitDeclaration;
import org.eclipse.jdt.internal.compiler.lookup.ReferenceBinding;
import org.eclipse.jdt.internal.compiler.env.ICompilationUnit;
import java.io.PrintWriter;

public abstract class AbstractAnnotationProcessorManager
{
    public AbstractAnnotationProcessorManager() {
    }
    
    public abstract void configure(Object p0, String[] p1);
    
    public abstract void configureFromPlatform(Compiler p0, Object p1, Object p2);
    
    public abstract void setOut(PrintWriter p0);
    
    public abstract void setErr(PrintWriter p0);
    
    public abstract ICompilationUnit[] getNewUnits();
    
    public abstract ReferenceBinding[] getNewClassFiles();
    
    public abstract ICompilationUnit[] getDeletedUnits();
    
    public abstract void reset();
    
    public abstract void processAnnotations(CompilationUnitDeclaration[] p0, ReferenceBinding[] p1, boolean p2);
    
    public abstract void setProcessors(Object[] p0);
}
